package lunadevs.luna.module.exploits;

import com.zCore.Core.zCore;

import lunadevs.luna.category.Category;
import lunadevs.luna.module.Module;
import net.minecraft.client.gui.GuiMainMenu;
import net.minecraft.client.gui.GuiScreenAddServer;
import net.minecraft.client.gui.GuiSleepMP;

public class AACClip extends Module{

	public AACClip() {
		super("AACClip", 0, Category.EXPLOITS, false);
	}
	@Override
	public void onUpdate(){
		if(!this.isEnabled) return;
		zCore.tpRel(zCore.p().motionX, zCore.p().motionY=-0.0222, zCore.p().motionZ);
		zCore.tpPacket(zCore.p().motionX, zCore.p().motionY-9, zCore.p().motionZ);
		super.onUpdate();
	}
	@Override
	public void onEnable() {
		//mc.displayGuiScreen(new GuiSleepMP());
		//mc.displayGuiScreen(new GuiMainMenu());
		super.onEnable();
	}
	
	public String getValue() {
		return null;
	}
	
}
